QualityWeights {limma} | R Documentation

## Spot Quality Weights

### Description

Functions to calculate quality weights for individual spots based on image analyis output file.

### Usage

    wtarea(ideal=c(160,170))
    wtflags(weight=0,cutoff=0)
    wtIgnore.Filter

### Arguments

`ideal` | numeric vector giving the ideal area or range of areas for a spot in pixels
`weight` | weight to be given to flagged spots
`cutoff` | cutoff value for `Flags` below which spots will be downweighted

### Details

These functions can be passed as an argument to `read.maimages` to construct quality weights as the microarray data is read in.

`wtarea` downweights unusually small or large spots and is designed for SPOT output. It gives weight 1 to spots which have areas in the ideal range, given in pixels, and linearly downweights spots which are smaller or larger than this range.

`wtflags` is designed for GenePix output and gives the specified weight to spots with `Flags` value less than the `cutoff` value. Choose `cutoff=0` to downweight all flagged spots. Choose `cutoff=-50` to downweight bad or absent spots or `cutoff=-75` to downweight only spots which have been manually flagged as bad.

`wtIgnore.Filter` is designed for QuantArray output and sets the weights equal to the column `Ignore Filter` produced by QuantArray. These weights are 0 for spots to be ignored and 1 otherwise.

### Value

A function which takes a dataframe or matrix as argument and produces a numeric vector of weights between 0 and 1

### Author(s)

Gordon Smyth

### See Also

An overview of LIMMA functions for reading data is given in 03.ReadingData.

### Examples

    #  Read in spot output files from current directory and give full weight to 165
    #  pixel spots.  Note: for this example to run you must set fnames to the names
    #  of actual spot output files (data not provided).
    ## Not run:
    RG <- read.maimages(fnames,source="spot",wt.fun=wtarea(165))
    #  Spot will be downweighted according to weights found in RG
    MA <- normalizeWithinArrays(RG,layout)
    ## End(Not run)

[Package limma version 2.16.5 Index]